Web Interface 3.0 Build 3039 (31.01.2020)
+ Added the new settings for the InactiveChannelCheck from JTS3ServerMod 6.5.6.
- Bugfix: Password reset mails was not working, if the URL in the mail template was changed. (thx to Moki)
- Bugfix: On the general bot settings page changed htmlentities to htmlspecialchars,
  which should fix the problems if using unicode characters as Server Query Name for the bot. (thx to zRqlexAPI)
o Changed some database columns to collation utf8mb4_unicode_ci to allow all unicode characters.
  Maybe some database operations needs now some more time and space, but this should fix all SQL errors, 
  if 4 byte unicode characters will be used for Channel or Nicknames.
o Database columns, which can contain a chat message, enlarged to 8192 characters (which is the new max length of the TS3 server 3.8+)
o Changed TS3 cache time to 15 minutes from 2 hours. (multiple requests)
o Changed or added files: class/TS3Telnet.php, include/botmanager.php, include/register.php, templates/resetpw_email.tmpl, 
                          sql/default.sql, sql/autoupdate/3039.sql

Web Interface 3.0 Build 3038 (05.01.2019)
+ Added the new settings for the WelcomeMessage from JTS3ServerMod 6.5.4.
o Changed or added files: include/botmanager.php, sql/default.sql, sql/autoupdate/3038.sql

Web Interface 3.0 Build 3037 (01.01.2019)
+ Added the new settings for the WelcomeMessage from JTS3ServerMod 6.5.3.
o Changed or added files: sql/default.sql, sql/autoupdate/3037.sql

Web Interface 3.0 Build 3036 (28.12.2018)
+ Added the new settings for the InactiveChannelCheck from JTS3ServerMod 6.5.1.
o Changed or added files: sql/default.sql, sql/autoupdate/3036.sql

Web Interface 3.0 Build 3035 QUICKFIX (21.08.2018)
- Bugfix: At bot creation sometimes the RAW query mode setting was not used correctly. (thx to PlayHosting)
o Changed or added files: class/TS3Telnet.php

Web Interface 3.0 Build 3035 (20.08.2018)
! Web Interface requirements changed: PHP 5.4 or newer and MySQL 5.5.3 or newer (MariaDB should also work) are required now.
  Do NOT update if you don't meet the requirements!
+ Connecting to the SSH query interface of the TS3 server version 3.3.0 and to TeaSpeak servers are now possible.
  Added the new setting from JTS3ServerMod 6.5.0.
+ Support for 4 byte unicode characters, which are supported with TS3 servers version 3.3.0 and newer.
+ Reply-To mail address added to the mail from the contact formular. Answering to the mail is now much faster. (thx to Moki)
- Bugfix: Single and double quotes was not readable in the mail from the contact formular. (thx to BoKo)
o Updated the description of the AutoMove function.
o Changed or added files: index.php, class/dbconnect.php, class/TS3Telnet.php, include/botcreate.php, include/contact.php, 
                          templates/botcreate.tmpl, templates/botcreate_edit.tmpl, sql/default.sql, sql/autoupdate/3035.sql
o Removed files: class/BBCode_old.php, class/PWCrypt_old.php

Web Interface 3.0 Build 3034 QUICKFIX (12.05.2018)
- Bugfix: Fixed wrong text variable name in register.php. (thx to Moki)
o Changed or added files: include/register.php

Web Interface 3.0 Build 3034 (10.05.2018)
+ Added the changed settings from JTS3ServerMod 6.4.4.
+ Added some privacy information while a user create a new user account, this information has to be accepted.
  The same privacy information are now also visible on the new privacy page, linked at the top on every page.
+ install.php now displays a better error message, if an error occurred while connecting to the MySQL database.
+ Login using mail address is now also possible.
o Changed or added files: index.php, install.php, class/dbconnect.php, include/register.php, include/verifylogin.php, 
                          images/information.png, templates/contact.tmpl, templates/register.tmpl, templates/register_privacy.tmpl
                          sql/default.sql, sql/autoupdate/3034.sql

Web Interface 3.0 Build 3033 QUICK FIX (17.12.2017)
o Changed or added files: class/dbconnect.php, include/verifylogin.php

Web Interface 3.0 Build 3033 (17.12.2017)
! Storing user account password hashes changed to a new more secure way.
  Instead of MD5 and SHA1, the JTS3ServerMod Web Interface now use SHA512 with a random salt.
  Old hash will be updated on next login for that user.
o Changed or added files: install.php, class/PWHash.php, include/register.php, include/userlist.php, include/verifylogin.php, 
                          sql/default.sql, sql/autoupdate/3033.sql

Web Interface 3.0 Build 3032 (07.10.2017)
+ Added the new settings from JTS3ServerMod 6.4.2.
o Changed or added files: sql/default.sql, sql/autoupdate/3032.sql

Web Interface 3.0 Build 3031 QUICK FIX 2 (04.07.2017)
- Bugfix: Sometimes Channel or Group names with multibyte characters could be invisible in the web interface. (thx to Qipad)
o Changed or added files: include/botmanager.php

Web Interface 3.0 Build 3031 QUICK FIX (28.06.2017)
- Bugfix: If the Teamspeak 3 query password encryption is enabled,
          some parts of the web interface are unable to talk with the TS3 server. (thx to Eiki)
o Changed or added files: class/TS3Telnet.php

Web Interface 3.0 Build 3031 (25.06.2017)
+ Added TS3 server query password encryption from JTS3ServerMod 6.4.1.
  Make sure that you set the same passphrase, which you have set at crypt_key in the file JTS3ServerMod_InstanceManager.cfg,
  also in the file class/PWCrypt.php and class/PWCrypt_old.php at line 7.
  If no passphrase was set, encryption is disabled.
  Important: Even if the password is encrypted in the bot configuration, it can be decrypted if someone knows this passphrase!
             And don't forget, it is technically necessary to transmit the TS3 query password unencrypted to the TS3 server.
o Changed or added files: class/PWCrypt.php, class/PWCrypt_old.php, include/botcreate.php, sql/default.sql, sql/autoupdate/3031.sql

Web Interface 3.0 Build 3030 (22.04.2017)
- Bugfix: Missing option at InactiveChannelCheck, if the web interface was installed after the release of build 3013. (thx to Munin666)
o Changed or added files: sql/default.sql, sql/autoupdate/3030.sql

Web Interface 3.0 Build 3029 (26.03.2017)
- Bugfix: Automatic group creation of the Idle Check Group feature was not working (old Idle Check)
  and the translation was missing (new Idle Check). (thx to white)
o Changed or added files: include/botmanager.php, sql/default.sql, sql/autoupdate/3029.sql

Web Interface 3.0 Build 3028 (24.03.2017)
+ Added the new settings from JTS3ServerMod 6.4.0.
  All IdleCheck functions will use the IdleCheckOld class now, so no settings should break.
+ Bot Chat Commands help link is now part of the translations.
  While using the German language of the web interface this link opens the German help file now.
o Added the new fieldset type for function config pages. The new IdleCheck function is using this.
o Changed or added files: include/botmanager.php, templates/botmanager.tmpl, sql/default.sql, sql/autoupdate/3028.sql

Web Interface 3.0 Build 3027 (31.12.2016)
! Fixed a XSS security risk. (thx to venomx96)
  Please test carefully if everything is still working, because I'm unable to test every case!
- Bugfix: Changed database field configvalue of the table jts3servermod_instanceconfig to varchar(2048)
          to make sure that even long bot_function lines can be saved. (thx to André)
- Bugfix: A fresh installation of the Web Interface Build 3026 triggered the auto update to 3026
          because of a wrong value in the default.sql file. (thx to BoKo)
o Changed or added files: include/botcreate.php, include/contact.php, include/formularfunctions.php, include/register.php, 
                          sql/default.sql, sql/autoupdate/3027.sql

Web Interface 3.0 Build 3026 (07.12.2016)
- Bugfix: Description of the bot function InactiveClientsCleaner was missing in some cases. (thx to Firehunter)
o Channel Group and Server Group lists are now sorted alphabetical.
o Changed text field size for the unique id at the Server Group Protection.
o Changed or added files: include/botmanager.php, include/formularfunctions.php, include/functions/servergroupprotection.php, 
                          data/css/bright.css, data/css/dark.css, sql/default.sql, sql/autoupdate/3026.sql

Web Interface 3.0 Build 3025 QUICK FIX (11.10.2016)
- Bugfix: While creating a new bot something of the Teamspeak 3 connection details was wrong (maybe wrong port or password),
          a MySQL error message appear. Bug exists since build 3024, this is fixed now. (thx to Eiki)
o Changed or added files: include/botcreate.php

Web Interface 3.0 Build 3025 (09.10.2016)
+ New setting for the contact form: Usage is only allowed after login. If you want, no guests can use it.
- Bugfix: Escaped a single quote wrong in the default.sql and 3024.sql file. This is fixed now.
o Changed or added files: index.php, include/contact.php, include/settings.php, sql/default.sql, sql/autoupdate/3024.sql, sql/autoupdate/3025.sql

Web Interface 3.0 Build 3024 (09.10.2016)
+ Added the new settings from JTS3ServerMod 6.3.0.
+ Admins can now delete inactive user accounts in the User Manager with less clicks, which have no bots and are not admins.
  Similar to the inactive bot deletion, introduced in build 3017.
+ New contact form, which allows users to send an email to a specified email address, without to know the email address.
  If a user is logged in, name and mail address is already in the contact form. Also a list of bots will be displayed for bot related questions.
  The recipient get a direct link to the bot settings in this case. This contact form can be disabled in the Web Interface settings.
+ It is now possible to create a new bot and copy all settings from another bot.
  Permission to create a new bot is needed (or being an admin, of course).
  Just click on the "copy bot" button in the bot list.
- Bugfix: All outgoing mails now have the right text encoding set (UTF-8), so special characters should be displayed fine in all email clients.
- Bugfix: Fixed smaller design errors.
o Added error messages to the bot user management and the web interface user management, if the bot does not exists or the admin level is to low.
o Using a special url, tabs in the web interface settings can be opened directly. This is used to open the Query Interface settings directly.
o Removed more HTML code from the PHP files and put them into tmpl files.
o Changed or added files: class/Translation.php, include/userlist.php, include/register.php, include/contact.php, include/settings.php, 
  include/botcreate.php, include/botlist.php, include/botmanager.php, include/botheaderfunctions.php, include/botuser.php, templates/backtomain.tmpl, 
  templates/botcreate.tmpl, templates/botcreate_default.tmpl, templates/botlist_all_row.tmpl, templates/botlist_row.tmpl, templates/botlist_row_copy.tmpl, 
  templates/botlist_row_rename.tmpl, templates/contact.tmpl, templates/contact_email.tmpl, templates/framemenu.tmpl, templates/framemenu_user.tmpl,
  templates/settings.tmpl, templates/userlist.tmpl, templates/userlist_deleteinactiveusers.tmpl, templates/userlist_deleteinactiveusers_row.tmpl, 
  index.php, sql/default.sql, sql/autoupdate/3024.sql, images/email.png, images/page_copy.png

Web Interface 3.0 Build 3023 (06.09.2016)
+ Tweaked default PHP error reporting for the web interface. Fatal run-time errors will be displayed by default now.
  This should help you to understand the "white page" errors.
o Renamed config key bot_lightadmin_group_list to bot_lightadmingroup_list to be the same on the public JTS3ServerMod version.
  It was never intended to have them different.
o Changed or added files: index.php, install.php, include/botmanager.php, templates/botmanager_editgeneralsettings.tmpl,
                          sql/default.sql, sql/autoupdate/3023.sql

Web Interface 3.0 Build 3022 (03.09.2016)
o Changed the text of 4 MuteMover settings, they are now more detailed and describe better what they do.
o Changed or added files: sql/default.sql, sql/autoupdate/3022.sql

Web Interface 3.0 Build 3021 (25.06.2016)
o Small grammar fixes to three default messages (AutoMove, AwayMover, MuteMover).
o Changed or added files: sql/default.sql, sql/autoupdate/3021.sql

Web Interface 3.0 Build 3020 (08.05.2016)
- Bugfix: Not all pages was working, if the MySQL mode only_full_group_by was activated. (thx to Boberski)
          Now the web interface disables only_full_group_by only for the own session.
          All other sql modes keeps unaffected.
o Updated messages of the ServerGroupNotify for JTS3ServerMod version 6.1.4.
o Changed or added files: index.php, sql/default.sql, sql/autoupdate/3020.sql

Web Interface 3.0 Build 3019 (30.04.2016)
+ Added the new bot timezone setting, which was introduced in JTS3ServerMod 6.1.3.
+ Complete redesign of the web interface settings.
+ You can set the timezone of the web interface now. By default, the timezone of the PHP installation will be used (like in older versions).
o Small performance improvements while displaying many dates, like on bot list, user manager and bot log pages.
o Updates some parts of the readme file.
o After updating a forced page reload in your browser might be required.
o Changed or added files: class/Translation.php, include/botmanager.php, include/formularfunctions.php, include/settings.php, 
                          templates/botmanager_editgeneralsettings.tmpl, templates/settings.tmpl, 
                          data/css/bright.css, data/css/dark.css, sql/default.sql, sql/autoupdate/3019.sql

Web Interface 3.0 Build 3018 (04.04.2016)
+ Added the new settings from JTS3ServerMod 6.1.1.
o Changed the wording for the JTS3ServerMod telnet server, now it is called JTS3ServerMod Query Interface.
o Changed or added files: include/botmanager.php, sql/default.sql, sql/autoupdate/3018.sql

Web Interface 3.0 Build 3017 (28.03.2016)
+ You can now delete bots, which are inactive for a predefined amount of days/weeks/months.
  But you get a full list of inactive bots before and you have to confirm the deletion process.
+ Send an email to a user with the user account password, if a web interface administrator created a new user account.
+ User Manager now displays the amount of bots a user has.
+ If a web interface admin deletes the bot logs from the bot list site, the admin will return to the bot list with a status message.
+ Creating a BBCode link is now much more easier using the BBCode assistant. The selected text will be used as link text now.
- Bugfix: If there are no bots, the BotTelnet->getBotStatusAll() function created a PHP notice. Now an empty array will be returned (as expected).
- Bugfix: The BBCode toolbar and the BBCode link assistant was not translated to the English language. German language was hard coded. (thx to Callum)
          Now the complete BBCode stuff can be translated like the whole web interface.
- Bugfix: On many functions you was unable to select no channel or server group. Now it is possible to select no channel / group (first entry).
o Yes/No buttons at confirm messages (bot delete, bot log delete, user account delete, etc.) have now more space between each other.
  Much more easier to hit the right button on touchscreen displays.
o A saved TS3 server query password will never be displayed now. Just leave the input field empty to use the saved password.
o Changed email layout, removed whitespace at the beginning of a new text line.
o BBCode Javascript fallback for very old browsers removed now. All browsers which was released in 2010 or later should work without problems.
  Since the web interface itself requires quite new browsers, the old Javascript stuff is also not needed anymore.
  The requirements for the whole web interface are unchanged:
  All browsers released 2013 or later (current versions of Internet Explorer / Edge / Firefox / Chrome / Opera / Safari).
o Changed or added files: include/botmanager.php, include/formularfunctions.php, include/register.php, include/settings.php, include/userlist.php
                          include/botlist.php, include/botlogview.php, include/botlogview_functions.php, include/botcreate.php, 
                          templates/botmanager_editgeneralsettings.tmpl, templates/bbedit.tmpl, templates/newaccount_email.tmpl, templates/useredit.tmpl, 
                          templates/botlog_delete.tmpl, templates/botlist_admin.tmpl, templates/botlist_deleteinactivebots.tmpl, templates/botlog.tmpl, 
                          templates/botlist_deleteinactivebots_row.tmpl, templates/userlist.tmpl, templates/userlist_entry.tmpl, 
                          templates/botcreate.tmpl, templates/botcreate_edit.tmpl, templates/useredit_delete.tmpl, templates/resetpw_confirm.tmpl, 
                          templates/botmanager_removefunctions.tmpl, templates/botdelete.tmpl, templates/register_email.tmpl, 
                          templates/pwchange_email.tmpl, images/server.png, class/BotTelnet.php, 
                          data/css/bright.css, data/css/dark.css, data/bbedit.js, data/toolbox.js, sql/default.sql, sql/autoupdate/3017.sql

Web Interface 3.0 Build 3016 (20.03.2016)
+ Added new message mode to the ServerGroupNotify of the JTS3ServerMod 6.0.7.
- Bugfix: Bot reload button in status message was not working after changing the connection details of a bot.
o Changed or added files: include/botcreate.php, sql/default.sql, sql/autoupdate/3016.sql

Web Interface 3.0 Build 3015 (13.03.2016)
+ The bot log page now shows a message if the bot log is disabled or the target is not the database.
+ The bot log can be deleted without the login log using the web interface now.
  In this step you are able to delete entries older than two and three months now.
+ Now it is possible to send a manual instance list reload command to the JTS3ServerMod using the web interface.
o On new installations of the web interface the new default of logmode in the database table jts3servermod_instances is now 2 (database as target).
o Changed or added files: include/botlist.php, include/botlogview.php, include/botlogview_functions.php, templates/botlist_admin.tmpl, 
                          templates/botlist_instancelistreload.tmpl, templates/botlog.tmpl, templates/botlog_disabled.tmpl, templates/botlog_delete.tmpl, 
                          ajax.php, data/css/bright.css, data/css/dark.css, sql/default.sql, sql/autoupdate/3015.sql

Web Interface 3.0 Build 3014 (06.03.2016)
! Fixed possible XSS security problems at the register form.
+ If the user deleted the bot log, he will be put back to the bot log page with the deletion status.
+ Now you can change the amount of log entries, which will be displayed on one page.
  Selected amount will be saved, so you don't have to change the prefered amount every time.
o Changed or added files: include/botlogview.php, include/register.php, templates/botlog.tmpl, 
                          data/toolbox.js, sql/default.sql, sql/autoupdate/3014.sql

Web Interface 3.0 Build 3013 (03.03.2016)
+ New maintenance mode, enable it in the settings. You can also save an own message for it, so you don't lose the normal message.
+ Bot list shows the amount of errors in the log file for each bot within the last 24 hours now.
  You can sort it to the amount of errors on the complete bot list (for admins), bots without errors will be hidden in this case.
+ Image BBCode has set a max-width to 100% now, so you don't have to scroll horizontally on smartphones (like on big images at the welcome page).
- Bugfix: Older PHP versions (maybe 5.3 and older) are not able to read files with Windows line endings correctly. (thx to LiveSide)
          All auto update sql files changed to Unix line endings.
o Bad Channelname Check and Bad Nickname Check now use a multiline textarea, which allows you to copy and paste rules between both JTS3ServerMod editions.
  Empty lines and lines starting with the # character will be removed, like from the normal JTS3ServerMod edition.
o Changed or added files: images/logview_alert.png, include/botlist.php, include/settings.php, include/welcome.php,
                          include/formularfunctions.php, include/functions/badchannelnamecheck.php, include/functions/badnicknamecheck.php,
                          templates/bbcode.tmpl, templates/botlist.tmpl, templates/botlist_all.tmpl, templates/botlist_admin.tmpl, 
						  templates/botlist_row.tmpl, templates/botlist_all_row.tmpl, templates/settings.tmpl,
						  index.php, sql/default.sql, sql/autoupdate/*.sql (all files in this directory)

Web Interface 3.0 Build 3012 (27.02.2016)
+ Added new option to the InactiveChannelCheck of the JTS3ServerMod 6.0.2.
o Changed or added files: sql/default.sql, sql/autoupdate/3012.sql

Web Interface 3.0 Build 3011 Small Fix 2 (14.02.2016)
- Bugfix: Web Interface was showing server groups instead of channel groups. (thx to Prototype)
o Changed or added files: include/botmanager.php

Web Interface 3.0 Build 3011 Small Fix (24.01.2016)
- Bugfix: Fixed PHP error message if using PHP 5.0, 5.1 or 5.2.
o Web Interface is now compatible with PHP 7
o Changed or added files: index.php, class/BBCode.php, class/BBCode_old.php, 
                          class/BotTelnet.php, class/dbconnect.php, class/Translation.php, class/TS3Telnet.php

Web Interface 3.0 Build 3011 (15.01.2016)
o Simplified mail address checking, no more error messages because of the new TLDs. (thx to Broesel01 and UncleSam)
o Updated and fixed some outdated messages
o Changed or added files: include/formularfunctions.php, sql/default.sql, sql/autoupdate/3011.sql

Web Interface 3.0 Build 3010 (10.07.2015)
+ Added a dark css theme, check out the web interface settings to switch to it.
+ You can switch between all available css themes in the web interface settings. Every color can be changed using the CSS file now.
  Save your own css theme in the data/css/ directory.
+ Message keywords are now clickable. As an example:
  While creating the welcome message, just click on %CLIENT_IP% and this text will be added to the message text at cursor position.
+ Global Message Variables can be displayed with an double click on the info message at every supported message,
  if enabled in the general bot settings.
o Changed or added files: include/botmanager.php, include/settings.php, class/BBCode.php, data/ (the whole directory has changed)
                          templates/settings.tmpl, templates/globalmessagevars.tmpl, templates/bbedit.tmpl, templates/index_install.tmpl,
						  templates/index_maintenance.tmpl, templates/index.tmpl, templates/bbcode.tmpl, templates/botmanager_editfunction_entry.tmpl
						  sql/default.sql, sql/autoupdate/3010.sql, install.php, index.php
o Removed file: data/index.css
o After updating a forced page reload in your browser might be required.

Web Interface 3.0 Build 3009 (07.07.2015)
+ Now it is possible to set a maximum bot limit to each user account. Check out the web interface settings and user manager.
- Bugfix: Better error message if you try to open an invalid link to the settings of a bot function.
- Bugfix: Some smaller fixes while activating and disabling bot functions.
- Bugfix: The updated files in include/functions/*.php was not included in the build 3008 release.
          So the new function rename feature of build 3008 was not working correctly for 5 functions.
		  This files are included in this release now.
o Updated some web interface messages to reflect the new changes of the new JTS3ServerMod release version 5.5.
o Changed or added files: include/botcreate.php, include/botlist.php, include/botmanager.php, include/formularfunctions.php, include/settings.php, include/userlist.php,
                          include/functions/*.php (all files in this directory), templates/settings.tmpl, templates/useredit.tmpl,
						  sql/default.sql, sql/autoupdate/3009.sql

Web Interface 3.0 Build 3008 QUICK FIX (16.04.2015)
- Bugfix: Additional bot users without full access was able to see and edit the connection details, if bot creation is allowed for non admin users. (thx to Johannes1509)
o Changed or added files: include/formularfunctions.php

Web Interface 3.0 Build 3008 (04.04.2015)
+ Now it is possible to rename bot functions! But a bot reload is needed after renaming a function, if the bot was running.
+ New layout of the settings page to make the JTS3ServerMod telnet part more important!
  The telnet connection test is now in green color if everything is good, and in red color if something is wrong.
+ The bot start time and the bot log error count will be also reloaded every 10 seconds (like the bot status since last version).
- Bugfix: The detection that you try to add a bot user twice was not working and a SQL error message was displayed. Fixed now. (thx to multigamerz)
- Bugfix: If you change the bot connection settings and the database lost this settings before, it was not possible to save it. Fixed now. (thx to Johannes)
o Changed or added files: ajax.php, include/botmanager.php, include/botheaderfunctions.php, include/botcreate.php, include/botuser.php, include/settings.php,
                          templates/botmanager_renamefunctions.tmpl, templates/bot_header.tmpl, templates/settings.tmpl,
                          templates/botmanager_functionlist_row.tmpl, templates/botmanager_functionlist_row_disabled.tmpl,
                          data/toolbox.js, data/index.css, sql/default.sql, sql/autoupdate/3008.sql

Web Interface 3.0 Build 3007 QUICK FIX 2 (15.03.2015)
+ Added automatic update every 10 seconds of the bot status at the bot list and at the bot status in the bot menu. Please send me feedback on this.
- Bugfix: Fixed start bot telnet link. (thx to Moki and Dr.No)
o Smaller changes to all bot telnet links to prevent browser history entries.
o Updates many parts of the readme file.
o Changed or added files: include/botmanager.php, data/toolbox.js, templates/bot_header_statestopped.tmpl, templates/bot_header_staterunning.tmpl

Web Interface 3.0 Build 3007 QUICK FIX (14.03.2015)
- Bugfix: Fixed bad bot telnet links at the status message after bot settings saved or function added/removed/disabled/activated. (thx to Moki)
o Changed or added files: include/botmanager.php

Web Interface 3.0 Build 3007 (11.03.2015)
+ Implemented some Ajax stuff to the web interface. Bot status at the bot list and the bot status header (including the start/reload/stop buttons) are loaded using Ajax now.
  Performance improvements on the bot list, bot log and all bot settings pages.
+ Implemented a TS3 server data cache for channel and group names. They will be deleted after two hours automatically. At the bottom of the bot settings page they can be deleted manually.
  Performance improvements on the most bot settings pages.
+ Show All Bots page is now sortable, just click on the column header.
+ Added a link to the bot chat commands (hosted on my site) on the bot settings page. If not wanted, just remove it in the templates/botmanager.tmpl file (line 5-9 currently).
+ The sentence with the maximum message length at the function settings are now in red color.
+ Bot List link in the top main menu now links Web Interface administrators always to the Show All Bots page. Feedback about this is welcome.
+ Added small info message on the bot creation page, that the TS3 server password will be saved unencrypted and the channel and group names will be cached.
- Bugfix: Added one missing message.
o Changed or added files: ajax.php, index.php, include/botlist.php, include/userlist.php, include/botmanager.php, include/botheaderfunctions.php,
                          templates/botmanager.tmpl, templates/bot_header.tmpl, templates/userlist.tmpl, templates/botlist_all.tmpl, templates/sortable_arrows.tmpl,
                          templates/framemenu_user.tmpl, templates/bot_header_statestopped.tmpl, templates/bot_header_staterunning.tmpl, templates/botcreate.tmpl,
                          templates/botmanager_ts3cache_info.tmpl, templates/botlist_all_row.tmpl, templates/botlist_row.tmpl, templates/botlist.tmpl,
                          data/index.css, data/toolbox.js, class/Translation.php, sql/default.sql, sql/autoupdate/3007.sql

Web Interface 3.0 Build 3006 (08.03.2015)
+ Show All Bots page now also displays the bot status image. This needs the JTS3ServerMod 5.4.5!
+ While deleting a web interface user, the web interface shows you a list of bots, which are affected by this.
  A bot will not touched if it already has another admin. If the user don't has any bots,
  everything will be hidden and you only have to say yes or no.
- Bugfix: A user with normal bot permissions at the web interface was able to delete that bot.
- Bugfix: On the Show All Bots page bots was displayed for every person who has access to it.
          Now this behavior is limited to persons with full permissions to the bot.
          I can't remove this behavior completely without bad impacts to the performance.
          But I guess no one has many bots with more than one person with full permissions to the bot.
o Small performance improvements while downloading the bot log.
o Fixed some messages of the web interface.
o Updates many parts of the readme file.
o Changed or added files: include/botlist.php, include/botlogview.php, include/userlist.php, include/botdeleteownerfunctions.php,
                          templates/botlist_admin_tablerow.tmpl, templates/botlist_all.tmpl, templates/botlist_all_row.tmpl, templates/useredit_delete.tmpl,
                          class/BotTelnet.php, sql/autoupdate/3006.sql, sql/default.sql

Web Interface 3.0 Build 3005 QUICK FIX 2 (01.03.2015)
o The function column at the bot log is now click able for JTS3ServerMod and Slot Checker.
o Changed or added files: include/botlogview.php

Web Interface 3.0 Build 3005 QUICK FIX (24.02.2015)
- Bugfix: Fixed wrong SQL command at the Show All Bots list. (thx to Nate4ever)
o Changed or added files: include/botlist.php

Web Interface 3.0 Build 3005 (22.02.2015)
o No more changes, still build 3005.

Web Interface 3.0 Internal Beta Build 3005 (20.02.2015)
- Bugfix: The Show All Bots link was visible on the botlist page for non administrators. (thx to Flofus)
- Bugfix: If no function will be selected but added on the botmanager page, an invalid function will be added. (thx to Flofus)
- Bugfix: Fixed some minor bugs at the botlist page.
o Some minor design improvements
o Changed files not listed here, because of the internal beta. Just replace all files or check file dates on your own.

Web Interface 3.0 Internal Beta Build 3004 (19.02.2015)
+ Bot List is now able to show all bots in one list (Administrators only), without current bot status because of speed.
+ SQL errors shows administrators always all information. If your web interface is original/unchanged, send this information always to me.
+ Register form now has a simple Spam bot protection. Feedback needed, if this is helping against Spam bots.
+ Small info message at the register form, that a mail will be sent with the password.
+ Administrators can see the current installed build version at the top of the web interface.
o Changed files not listed here, because of the internal beta. Just replace all files or check file dates on your own.

Web Interface 3.0 Internal Beta Build 3003 (17.02.2015)
+ Register, Forgot Password and Change Password pages found the way into the new design now.
- Bugfix while edit the connection details of an existing bot. (thx to TS-Voice)
- Bugfix at the bot settings, that disabled functions can't be enabled anymore. (thx to TS-Voice)
- Fixed display of the error/status messages of the web interface settings page.
- Fixed missing messages at the register and bot create page.
o Mail address check now allows TLDs up to 6 characters, was 4 characters.
o Removed file: templates/botmanager_functionlist_bullets.tmpl
o Changed files not listed here, because of the internal beta. Just replace all files or check file dates on your own.

Web Interface 3.0 Internal Beta Build 3002 Release 2 (15.02.2015)
! IMPORTANT: This is a test version of the web interface. Do a backup of all files and database BEFORE you update to this version!
- Many bugfixes at Bot Create and web interface Settings. (thx to Flofus)
o Changed files not listed here, because of the internal beta. Just replace all files or check file dates on your own.

Web Interface 3.0 Internal Beta Build 3002 (15.02.2015)
! IMPORTANT: This is a test version of the web interface. Do a backup of all files and database BEFORE you update to this version!
- Unable to do line breaks at advertising messages. Like on other places, there are now text areas which allow a real line break.
- One message at the User Manager was still in the old design. Fixed this to the new modern design.
o The User Manager now have real password fields if you try to add or edit an user account. Password is not visible while typing.
o Changed files not listed here, because of the internal beta. Just replace all files or check file dates on your own.

Web Interface 3.0 Internal Beta Build 3001 (13.02.2015)
! IMPORTANT: This is a test version of the web interface. Do a backup of all files and database BEFORE you update to this version!
+ Added an automatic database update. This is the first version which make use from it, if you do an update from build 3000.
  Updating from older versions than build 3000 still needs the manual SQL database update to build 3000 using sql/update_2.2_3.0.sql
  Every time an web interface admin logins to the web interface (or click on Bot List), the web interface checks
  if there is a sql update file in the sql/autoupdate/ directory, which is newer than the build version in database.
  So don't mess around with the build numbers, file names or file content.
+ Default TS3 query port at bot create page and Bot Telnet Port at settings page are displayed, if there is no value saved.
+ Changed the way how you can write multi line text messages, like for the Welcome Message or Idle Check.
  Just press enter in the text area, no need to write a \n.
- Bot List was showing an empty user table to admins, if the web interface only has one user and one bot (was broken in build 3000).
- Fixed saving the server ip value at bot create (was broken in build 3000).
o Fixed some messages at bot configuration.
o If less than 20 entries at the bot log, the right log entry count is displayed on top.
o Changed files not listed here, because of the internal beta. Just replace all files or check file dates on your own.

Web Interface 3.0 Internal Beta Build 3000 (11.02.2015)
! IMPORTANT: This is a test version of the web interface. Do a backup of all files and database BEFORE you update to this version!
! Bot Version 5.4.1 or newer is required!
+ Complete redesign of the web interface. Everything and every page was touched to have a more modern look.
  Too many things was changed to list them here. Look and find on yourself.
  Modern look also means a modern browser is needed! Internet Explorer 8 and older is unsupported now!
  Internet Explorer 9 is not tested, might have some problems. Internet Explorer 10 should work, but untested.
  Tested the new web interface with the current versions of Firefox, Chrome and Internet Explorer, everything is working great.
  The very first time this web interface is completely usable on smart phones with a modern browser.
  Tested this on 2 Android smart phones and one Tablet using the Chrome browser.
+ Log file of the bots can now be downloaded, they have the same layout like the log files of the normal non MySQL JTS3ServerMod.
+ Recreated the install.php, now it's possible to just create the config file without touching the database.
  Useful if you have a database backup, but have to recreate the web interface files.
  Another change: If you like to create the tables, all existing tables of the web interface will be deleted before.
+ The user list at the user manager is sortable by name, register date and last login.
  As an example: This way you get very fast a list of users who never logged in or not in the last time.
+ Added a Bot User Manager, which allows you to allow who can access your bot settings.
  New persons can only be added by web interface admins, but the bot owner can select the permission level or remove someone.
o Bot name as now a max allowed character count of 20 characters. The web interface keeps now an eye on it while renaming.
o Bad Nickname Check and Bad Channel Name Check now also show the three regular expression examples
  from the bot documentation within the web interface.
o Now the most HTML code is in template files.
o Changed or added files: Almost every file was changed, many files was added. Please replace and copy every file.
o Removed files: templates/botmanager_editfunction_entry2.tmpl, include/useredit.php, include/botdelete.php
o Changed database: sql/update_2.2_3.0.sql